.cpx-webshop-categories .count {
    display: none;
}

.cpx-webshop-categories .products.elementor-grid {
    display: flex !important;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px !important;
}

.cpx-webshop-categories .products.elementor-grid li.product-category {
    width: calc(25% - 37.5px) !important;
}

/* Tablets */
@media (max-width: 1024px) {
    .cpx-webshop-categories .products.elementor-grid {
        gap: 30px !important;
    }
    .cpx-webshop-categories .products.elementor-grid li.product-category {
        width: calc(33.3333% - 20px) !important;
    }
}

/* Smaller tablets */
@media (max-width: 768px) {
    .cpx-webshop-categories .products.elementor-grid {
        gap: 15px !important;
    }
    .cpx-webshop-categories .products.elementor-grid li.product-category {
        width: calc(50% - 7.5px) !important;
    }
}

/* Products */
.cpx-webshop-products .products.elementor-grid {
    display: flex !important;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px !important;
}

.cpx-webshop-products .products.elementor-grid li.product {
    width: calc(25% - 37.5px) !important;
    display: flex !important;
    flex-direction: column !important;
    justify-content: center !important;
}

@media (max-width: 2400px) {
    .cpx-webshop-products .products.elementor-grid {
        gap: 50px !important;
    }
    .cpx-webshop-products .products.elementor-grid li.product {
        width: calc(33.33% - 33.33px) !important;
    }
}

/* Tablet */
@media (max-width: 1024px) {
    .cpx-webshop-products .products.elementor-grid {
        gap: 50px 30px !important;
    }
    .cpx-webshop-products .products.elementor-grid li.product {
        width: calc(50% - 15px) !important;
    }
}

/* Mobile */
@media (max-width: 768px) {
    .cpx-webshop-products .products.elementor-grid {
        gap: 30px 15px !important;
    }
    .cpx-webshop-products .products.elementor-grid li.product {
        width: calc(50% - 7.5px) !important;
    }
}

.cpx-webshop-products li.product .woocommerce-loop-product__title {
    display: block;
    text-align: center;

    color: var(--e-global-color-text);
    font-family: var(--e-global-typography-43140b6-font-family), Sans-serif;
    font-size: var(--e-global-typography-43140b6-font-size) !important;
    font-weight: var(--e-global-typography-43140b6-font-weight);
}

.cpx-webshop-products li.product a > img {
    margin-bottom: .5em;
}

.cpx-webshop-products li.product .price {
    display: block;
    text-align: center;  
}

.cpx-webshop-products li.product .woocommerce-loop-product__title {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.cpx-webshop-products li.product span.price {
    color: var(--e-global-color-text) !important;
    font-family: var(--e-global-typography-text-font-family);
    font-size: 1em !important;
}

.cpx-webshop-products li.product span.price ins {
    font-weight: 400 !important;
    text-decoration: none;
}

.cpx-webshop-products li.product span.price del {
    font-size: .8em;
}

.cpx-webshop-products li.product .button {
    align-self: center;
    margin-top: 0 !important;
    background-color: var(--e-global-color-30feb12);
    border-radius: 0;
    color: var(--e-global-color-text);

    font-family: var(--e-global-typography-4b3b2c4-font-family), Sans-serif;
    font-size: var(--e-global-typography-4b3b2c4-font-size);
    font-weight: var(--e-global-typography-4b3b2c4-font-weight);
    line-height: var(--e-global-typography-text-line-height);

    padding: 9px 27px 7px 27px;

    display: flex !important;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.cpx-webshop-products li.product .button:after {
    content: '';
    display: inline-block;
    width: .75em;
    height: .75em;   
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;

    margin-bottom: .15em; /* Correct line height */

    transition: transform .3s ease-in-out;
}

.cpx-webshop-products li.product .button:hover:after {
    transform: translateX(4px);
}

.cpx-webshop-products li.product .add_to_cart_button {
    display: none !important;
}

.cpx-webshop-products li.product .onsale, .woocommerce .elementor-widget-woocommerce-product-images span.onsale {
    background-color: #00b888;
    border-radius: 0;
    min-height: 2.5em;
    line-height: 2.5;
    margin: 0 !important;
}

/* Banner */
.productcategorie-banner {
    width: 800px;
    margin-left: auto;
    margin-right: auto;
    height: 260px;
    max-width: 100%;
}

.elementor-widget-container .productcategorie-banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

/* Single product */
.cpx-levertermijn-in-stock {
    color: #005D00;
}

.cpx-levertermijn-backorder {
    color: #a56f0d;
}

.single-product .single_add_to_cart_button:hover, .single-product .single_add_to_cart_button:focus {
    border-width: 0px !important;

}

/* Slijtonderdelen */
.slijtonderdelen-table {
    display: flex;
    flex-direction: column;
    /* gap: 10px; */
}

.slijtonderdelen-row {
    position: relative;
    display: flex;
    align-items: center;
    gap: 15px;
    border-bottom: 1px solid #eaeaea;
    padding: 10px 1.5rem;
}

@media screen and (max-width: 1200px) {
    .slijtonderdelen-row {
        flex-direction: row;
        align-items: flex-start;
        flex-wrap: wrap;
        padding: 30px 20px;
        gap: 7px;
    }

    .slijtonderdelen-row.slijtonderdelen-row--head {
        display: none;
    }
}

.slijtonderdelen-row .thumbnail {
    flex: 0 0 50px;
    width: 50px;
}

.slijtonderdelen-row .sku,
.slijtonderdelen-row .price,
.slijtonderdelen-row .title,
.slijtonderdelen-row .stock-status,
.slijtonderdelen-row .quantity,
.slijtonderdelen-row .add-to-cart {
    flex: 1;
    flex-grow: 0;
    flex-basis: 100%;

    /* display: flex;
    flex-direction: row;
    align-items: center; */
}

.slijtonderdelen-row.slijtonderdelen-row--head {
    text-transform: uppercase;
    border-bottom: none;
    padding-top: 0;
    padding-bottom: 0;
    margin-bottom: -10px;
}

.slijtonderdelen-row .quantity {
    flex-basis: 80px;
    width: 80px;
    flex-grow: 0;
}

.slijtonderdelen-row .quantity input[name="quantity"] {
    width: 80px;
    padding-top: 6px !important;
    padding-bottom: 6px !important;
    padding-right: 0 !important;
    padding-left: 10px !important;
    text-align: center;
    border-color: var(--e-global-color-text) !important;
    border-width: 1px !important;
}

.slijtonderdelen-row .quantity input[name="quantity"]:focus {
    outline: none;
    border-color: var( --e-global-color-primary ) !important;
}

@media screen and (max-width: 500px) {
    .slijtonderdelen-row .quantity {
        flex-basis: 100%;
        width: 100%;
    }

    .slijtonderdelen-row .quantity input[name="quantity"] {
        width: 100%;
    }
}

.slijtonderdelen-row .add-to-cart .add-to-cart-button {
    width: 100%; 
    background-color: var(--e-global-color-primary);
    font-family: var(--e-global-typography-4b3b2c4-font-family), Sans-serif;
    font-size: var(--e-global-typography-4b3b2c4-font-size);
    font-weight: var(--e-global-typography-4b3b2c4-font-weight);
    color: var(--e-global-color-accent);
    border-style: solid;
    border-width: 2px 2px 2px 2px;
    border-color: var(--e-global-color-primary);
    border-radius: 0px 0px 0px 0px;
    padding: 11px 27px 9px 27px;
}

.slijtonderdelen-row .add-to-cart .add-to-cart-button:hover, .slijtonderdelen-row .add-to-cart .add-to-cart-button:focus {
    background-color: var(--e-global-color-accent);
    color: var(--e-global-color-primary);
    border-color: var(--e-global-color-primary);
}

@media screen and (max-width: 500px) {
    .slijtonderdelen-row .add-to-cart {
        flex-basis: 100% !important;
    }
}

@media screen and (max-width: 1200px) {
    .slijtonderdelen-row .add-to-cart {
        flex-basis: 250px;
    }

    .slijtonderdelen-row .sku {
        font-size: .8em;
        color: #797979;
        position: absolute;
        right: 20px;
        top: 21px;
    }

    .slijtonderdelen-row .price {
        color: var(--e-global-color-primary);
        text-align: right;
        font-size: .9em;
        margin-top: -1em;
    }

    .slijtonderdelen-row .stock-status {
        font-size: .8em;
    }

    /* Orders */
    .slijtonderdelen-row .thumbnail {
        order: 1;
    }
    .slijtonderdelen-row .sku {
        order: 2;
    }
    .slijtonderdelen-row .title {
        order: 3;
    }
    .slijtonderdelen-row .price {
        order: 4;
    }
    .slijtonderdelen-row .stock-status {
        order: 5;
    }
    .slijtonderdelen-row .quantity {
        order: 6;
    }
    .slijtonderdelen-row .add-to-cart {
        order: 7;
    }
}

/* Productblad */
.woocommerce div.product .woocommerce-tabs .panel.woocommerce-Tabs-panel--productblad {
    padding: 1.5rem;
    padding-top: .5rem;
}

.single-product .variations td, .single-product .variations th {
    background-color: transparent;
    text-align: left;
    padding-left: 0;
    padding-top: 3px;
    padding-bottom: 3px;
    vertical-align: middle !important;
}

.single-product .variations select {
    width: 100%;
    padding: 5px;
    border: 1px solid #eaeaea;
    border-radius: 0;
}

.single-product .elementor-add-to-cart table.variations button.reset_variations {
    --color: #8e8b8a;
    visibility: visible;
    display: inline-block;
    padding: 5px;
    padding-bottom: 2px;
    font-size: 18px;
    line-height: 1;
    background-color: var(--color);
    border-color: var(--color);
    float: right;
}

.single_variation_wrap .woocommerce-variation-price .price {
    font-size: 1.5em;
    font-weight: 700;
    color: var(--e-global-color-primary) !important;
    display: block;
    margin-bottom: 1em;
    margin-left: -.25em; /* Compensate extra space */
}

@media screen and (max-width: 430px) {
    .elementor-add-to-cart .e-atc-qty-button-holder {
        flex-direction: column;
        gap: 7px;
    }

    .elementor-add-to-cart .e-atc-qty-button-holder input[type="number"] {
        width: 100%;
    }

    .elementor-add-to-cart .e-atc-qty-button-holder .single_add_to_cart_button {
        margin-left: 0 !important;
    }
}

/* Custom product tabs */
.custom-product-tabs {
    background-color: #fff;
    box-shadow: 0 0 20px rgba(0, 0, 0, .08);
}

.custom-product-tabs > ul.tabs {
    padding-left: 0 !important;
    margin-bottom: 1em !important;
}

.custom-product-tabs > ul.tabs::before {
    border-bottom-color: #eaeaea !important;
    z-index: 3 !important;
}

.custom-product-tabs > ul.tabs > li {
    border: none !important;
    border-right: 1px solid #eaeaea !important;
    border-radius: 0 !important;
    margin: 0 !important;
    background-color: #fff !important;
    padding-left: 1.5em !important;
    padding-right: 1.5em !important;
}

.custom-product-tabs > ul.tabs > li:hover {
    background-color: #fafafa !important;
}

.custom-product-tabs > ul.tabs > li::before, .custom-product-tabs > ul.tabs > li::after {
    display: none;
}

.custom-product-tabs > ul.tabs > li.active > a {
    color: var(--e-global-color-primary) !important;
}

.custom-product-tabs > ul.tabs > li > a {
    font-family: var(--e-global-typography-4b3b2c4-font-family), Sans-serif;
    font-size: var(--e-global-typography-4b3b2c4-font-size);
    font-weight: var(--e-global-typography-4b3b2c4-font-weight) !important;
    color: #000 !important;
}

.woocommerce-message:focus {
    outline: none;
}